GetItDoneGetItDone Docs
API ReferenceAttachments

Mint an attachment download URL

GET
/v1/attachments/{attachment_id}/download-url

Answers a short-lived presigned GET URL for the attachment's bytes (the SAME signer the in-app proxy and the MCP get_task_details tool use). An attachment from another organization (or an unknown id) answers 404 resource_not_found.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A gid_ API key (Profile → API Keys) or an OAuth 2.1 access token.

Path Parameters

attachment_id*string

Response Body

The presigned download URL.

application/json
  1. response

A short-lived presigned download URL.

url*string

Presigned GET URL.

expires_at*string

When the URL stops working, ISO-8601 UTC.

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
Example Request
curl -X GET 'https://app.nowgetitdone.com/v1/attachments/string/download-url'
Example Response
{  "url": "string",  "expires_at": "2019-08-24T14:15:22Z"}